Opened 8 years ago

Closed 8 years ago

#36684 closed defect (fixed)

emacs-mac-app configure failure

Reported by: angelo.graziosi@… Owned by: humem (humem)
Priority: Normal Milestone:
Component: ports Version: 2.1.2
Keywords: Cc:
Port: emacs-mac-app

Description

On Mac OS X 10.7.5 and Xcode 4.5.1,

$ sudo port -s install emacs-mac-app
--->  Computing dependencies for emacs-mac-app
--->  Fetching distfiles for emacs-mac-app
--->  Attempting to fetch emacs-24.2-mac-3.2.tar.gz from http://fco.it.distfiles.macports.org/mirrors/macports-distfiles/emacs
--->  Verifying checksum(s) for emacs-mac-app
--->  Extracting emacs-mac-app
--->  Applying patches to emacs-mac-app
--->  Configuring emacs-mac-app
Error: org.macports.configure for port emacs-mac-app returned: configure failure: command execution failed
Please see the log file for port emacs-mac-app for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_aqua_emacs-mac-app/emacs-mac-app/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port emacs-mac-app failed

Atthaced the main.log and the installed MacPorts packages...

Attachments (3)

emacs-mac-app-main.log (30.9 KB) - added by angelo.graziosi@… 8 years ago.
main.log and installed packages
macports_pkgs-installed.txt (8.4 KB) - added by angelo.graziosi@… 8 years ago.
installed packages
emacs-mac-app-config.log (307.9 KB) - added by angelo.graziosi@… 8 years ago.
the config.log

Download all attachments as: .zip

Change History (12)

Changed 8 years ago by angelo.graziosi@…

Attachment: emacs-mac-app-main.log added

main.log and installed packages

Changed 8 years ago by angelo.graziosi@…

Attachment: macports_pkgs-installed.txt added

installed packages

comment:1 Changed 8 years ago by mf2k (Frank Schima)

Cc: hum@… ryandesign@… removed
Keywords: emacs-mac-app removed
Owner: changed from macports-tickets@… to hum@…
Summary: Failure installinf emacs-mac-app from sourceemacs-mac-app configure failure

comment:2 Changed 8 years ago by ryandesign (Ryan Schmidt)

There should be a config.log file in the directory /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_aqua_emacs-mac-app/emacs-mac-app/work/emacs-24.2. Could you attach it please? It might contain more details about why the configuration failed in your case.

Changed 8 years ago by angelo.graziosi@…

Attachment: emacs-mac-app-config.log added

the config.log

comment:3 in reply to:  2 Changed 8 years ago by angelo.graziosi@…

Attached...

Notice that emacs-app builds just fine:

$ sudo port install emacs-app +patches--->  Computing dependencies for emacs-app--->  Fetching archive for emacs-app
--->  Attempting to fetch emacs-app-24.2_1+fullscreen+inline+patches.darwin_11.x86_64.tbz2 from http://lil.fr.packages.macports.org/emacs-app
--->  Attempting to fetch emacs-app-24.2_1+fullscreen+inline+patches.darwin_11.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/emacs-app
--->  Attempting to fetch emacs-app-24.2_1+fullscreen+inline+patches.darwin_11.x86_64.tbz2 from http://packages.macports.org/emacs-app
--->  Fetching distfiles for emacs-app
--->  Attempting to fetch emacs-24.2.tar.gz from http://fco.it.distfiles.macports.org/mirrors/macports-distfiles/emacs
--->  Verifying checksum(s) for emacs-app
--->  Extracting emacs-app
--->  Applying patches to emacs-app
--->  Configuring emacs-app
--->  Building emacs-app
--->  Staging emacs-app into destroot
--->  Installing emacs-app @24.2_1+fullscreen+inline+patches
--->  Activating emacs-app @24.2_1+fullscreen+inline+patches
--->  Cleaning emacs-app
--->  Updating database of binaries: 100.0%
--->  Scanning binaries for linking errors: 100.0%
--->  No broken files found.

Replying to ryandesign@…:

There should be a config.log file in the directory /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_aqua_emacs-mac-app/emacs-mac-app/work/emacs-24.2. Could you attach it please? It might contain more details about why the configuration failed in your case.

Last edited 8 years ago by angelo.graziosi@… (previous) (diff)

comment:4 Changed 8 years ago by angelo.graziosi@…

It seems that a new release (ftp://ftp.math.s.chiba-u.ac.jp/emacs/emacs-24.2-mac-3.3.tar.gz) is arround...

Maybe it fixes the issue...

Angelo

comment:5 in reply to:  4 ; Changed 8 years ago by humem (humem)

Status: newassigned

Replying to angelo.graziosi@…:

It seems that a new release (ftp://ftp.math.s.chiba-u.ac.jp/emacs/emacs-24.2-mac-3.3.tar.gz) is arround...

Maybe it fixes the issue...

The port is updated to 3.3 in r99407. Could you please try again?

comment:6 in reply to:  5 Changed 8 years ago by angelo.graziosi@…

It still fails... :-(

Replying to hum@…:

Replying to angelo.graziosi@…:

It seems that a new release (ftp://ftp.math.s.chiba-u.ac.jp/emacs/emacs-24.2-mac-3.3.tar.gz) is arround...

Maybe it fixes the issue...

The port is updated to 3.3 in r99407. Could you please try again?

comment:7 Changed 8 years ago by jmroot (Joshua Root)

The check for ncurses is failing:

configure:14463: /usr/bin/clang -o conftest -pipe -O2 -fobjc-arc -arch x86_64 -D_REENTRANT -I/opt/local/include/librsvg-2.0 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/cairo -I/opt/local/include/libpng15 -I/opt/local/include/pixman-1 -I/opt/local/include/freetype2   -I/opt/local/include/ImageMagick   -I/opt/local/include     -I/opt/local/include -L/opt/local/lib -arch x86_64 conftest.c -lncurses -lm -L/opt/local/lib -lxml2   -L/opt/local/lib -lgnutls   -L/opt/local/lib -lMagickWand -lMagickCore   -L/opt/local/lib -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lglib-2.0 -lintl   -lpthread   -L/opt/local/lib -ldbus-1 -lpthread   >&5 
configure:14463: $? = 0
configure:14463: ./conftest
objc[3433]: '/opt/local/lib/libgio-2.0.0.dylib' was not compiled with -fobjc-gc or -fobjc-gc-only, but the application requires GC
objc[3433]: *** GC capability of application and some libraries did not match

comment:8 Changed 8 years ago by angelo.graziosi@…

Today I have tried newly

sudo port -s install emacs-mac-app

and this time it had success :-)

I think we can close this ticket...

Angelo

comment:9 in reply to:  8 Changed 8 years ago by seanfarley (Sean Farley)

Resolution: fixed
Status: assignedclosed

Replying to angelo.graziosi@…:

Today I have tried newly

sudo port -s install emacs-mac-app

and this time it had success :-)

I think we can close this ticket...

Thanks for the follow-up!

Note: See TracTickets for help on using tickets.